Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_ConstTessMemberResultCallback_0_3< del, R, T, A1, A2, A3 > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _ConstTessMemberResultCallback_0_3< del, R, T, A1, A2, A3 >:

List of all members.

## Public Types

typedef TessResultCallback3< R, A1, A2, A3 > | base
typedef R(T::* | MemberSignature )(A1, A2, A3) const

## Public Member Functions

| _ConstTessMemberResultCallback_0_3 (const T *object, MemberSignature member)
virtual R | Run (A1 a1, A2 a2, A3 a3)
Public Member Functions inherited from TessResultCallback3< R, A1, A2, A3 >
virtual | ~TessResultCallback3 ()

## Detailed Description

### template<bool del, class R, class T, class A1, class A2, class A3>
class _ConstTessMemberResultCallback_0_3< del, R, T, A1, A2, A3 >

Definition at line 778 of file tesscallback.h.

## Member Typedef Documentation

template<bool del, class R, class T, class A1, class A2, class A3>

typedef TessResultCallback3<R,A1,A2,A3> _ConstTessMemberResultCallback_0_3< del, R, T, A1, A2, A3 >::base

Definition at line 780 of file tesscallback.h.

template<bool del, class R, class T, class A1, class A2, class A3>

typedef R(T::* _ConstTessMemberResultCallback_0_3< del, R, T, A1, A2, A3 >::MemberSignature)(A1, A2, A3) const

Definition at line 781 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del, class R, class T, class A1, class A2, class A3>

_ConstTessMemberResultCallback_0_3< del, R, T, A1, A2, A3 >::_ConstTessMemberResultCallback_0_3 | ( | const T * | object,
|  | MemberSignature | member
| ) |  |

inline

Definition at line 788 of file tesscallback.h.

: object_(object),
member_(member) {
}

## Member Function Documentation

template<bool del, class R, class T, class A1, class A2, class A3>

virtual R _ConstTessMemberResultCallback_0_3< del, R, T, A1, A2, A3 >::Run | ( | A1 | a1,
|  | A2 | a2,
|  | A3 | a3
| ) |  |

inline virtual

Implements TessResultCallback3< R, A1, A2, A3 >.

Definition at line 794 of file tesscallback.h.

{
if (!del) {
R result = (object_->*member_)(a1,a2,a3);
return result;
} else {
R result = (object_->*member_)(a1,a2,a3);
// zero out the pointer to ensure segfault if used again
member_ = NULL;
delete this;
return result;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h